#Module-Specific definitions
%define mod_name mod_bwshare
%define mod_conf 77_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	Bandwidth throttling and balancing by client IP address
Name:		apache-%{mod_name}
Version:	0.2.1
Release:	%mkrel 6
Group:		System/Servers
License:	Artistic
URL:		http://www.topology.org/src/bwshare/README.html
Source0:	http://www.topology.org/src/bwshare/%{mod_name}-%{version}.zip
Source1:	http://www.topology.org/src/bwshare/%{mod_name}-%{version}.zip.asc
Source2:	%{mod_conf}
BuildRequires:	unzip
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.2.0
Requires(pre):	apache >= 2.2.0
Requires:	apache-conf >= 2.2.0
Requires:	apache >= 2.2.0
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	file
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Apache shaping module "bwshare" uses a form of "statistical shaping". This
means that the software measures the statistical behaviour of the subscriber in
the past, and uses this as a basis for controlling the current access to
resources by the user. 

The purpose of this module is to give the web site operator some control over
bandwidth utilization by individual client hosts. The "bwshare" module
temporarily blocks access by excessive users. This is aimed especially at users
who download whole websites at great speed. Excessive speed is considered bad
etiquette for search engine robots.

%prep

%setup -q -n %{mod_name}-%{version}

cp %{SOURCE2} %{mod_conf}

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build

%{_sbindir}/apxs -c %{mod_name}.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

install -d %{buildroot}%{_var}/www/html/addon-modules
ln -s ../../../..%{_docdir}/%{name}-%{version} %{buildroot}%{_var}/www/html/addon-modules/%{name}-%{version}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENCE README.html changes.html doc.html
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}
%{_var}/www/html/addon-modules/*






%changelog
* Mon Mar 08 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.2.1-6mdv2010.1
+ Revision: 516073
- rebuilt for apache-2.2.15

* Sat Aug 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0.2.1-5mdv2010.0
+ Revision: 406557
- rebuild

* Tue Jan 06 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0.2.1-4mdv2009.1
+ Revision: 325669
- rebuild

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.2.1-3mdv2009.0
+ Revision: 234830
- rebuild

* Thu Jun 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.2.1-2mdv2009.0
+ Revision: 215552
- fix rebuild

* Fri May 09 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.2.1-1mdv2009.0
+ Revision: 205121
- 0.2.1

* Fri Mar 07 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.2.0-4mdv2008.1
+ Revision: 181708
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - import apache-mod_bwshare


* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-3mdv2008.0
+ Revision: 82541
- rebuild


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-2mdv2007.1
+ Revision: 140654
- rebuild

* Mon Feb 12 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.2.0-1mdv2007.1
+ Revision: 118983
- fix build
- 0.2.0

* Thu Nov 09 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.9-2mdv2007.0
+ Revision: 79368
- Import apache-mod_bwshare

* Mon Aug 07 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.9-2mdv2007.0
- rebuild

* Fri May 19 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.9-1mdk
- 0.1.9

* Tue May 16 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.8-1mdk
- 0.1.8
- drop redundant patches; P0

* Wed Dec 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.3-2mdk
- rebuilt against apache-2.2.0

* Mon Nov 28 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.3-1mdk
- fix versioning

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_0.1.3-2mdk
- fix deps

* Fri Jun 03 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_0.1.3-1mdk
- rename the package
- the conf.d directory is renamed to modules.d
- use new rpm-4.4.x pre,post magic

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.1.3-4mdk
- use the %%mkrel 1

* Mon Feb 28 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.1.3-3mdk
- fix %%post and %%postun to prevent double restarts
- fix bug #6574

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.1.3-2mdk
- spec file cleanups, remove the ADVX-build stuff

* Tue Feb 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.1.3-1mdk
- rebuilt for apache 2.0.53

* Wed Sep 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_0.1.3-1mdk
- built for apache 2.0.52

* Fri Sep 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.51_0.1.3-1mdk
- built for apache 2.0.51

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_0.1.3-1mdk
- built for apache 2.0.50
- remove redundant provides

* Tue Jun 15 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.49_0.1.3-1mdk
- built for apache 2.0.49

